filelog.settings:
  type: config_object
  label: 'File Log settings'
  mapping:
    enabled:
      type: boolean
      label: 'Enable file output'
    location:
      type: string
      label: 'Logfile directory'
    rotation:
      type: mapping
      label: 'Rotation settings'
      mapping:
        schedule:
          type: string
          label: 'Schedule (monthly, weekly, daily, never)'
        delete:
          type: boolean
          label: 'Delete files instead of moving them.'
        destination:
          type: string
          label: 'Destination pattern of archived files'
        gzip:
          type: boolean
          label: 'Compress archived files with gzip'
    format:
      type: string
      label: 'Message format'
    level:
      type: integer
      label: 'The minimum severity of messages (0 = Emergency, 7 = Debug).'
    channels_type:
      type: string
      label: 'Either "include" or "exclude".'
    channels:
      type: sequence
      sequence:
        - type: string
      label: 'Channels to include or exclude'